Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	C++ wrapper for the libxml2 XML parser library.
Name:		libxml++
Version:	2.26.0
Release:	1
License:	GNU/GPL
URL:		http://libxmlplusplus.sourceforge.net/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: libgcc
BuildRequires: libsigc++-devel
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.

%package	devel
Summary:	libxml++ development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with libxml2.

%package	doc
Summary: 	%{name} documents.
Group: 		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/%{name}-*/include
%_pkgconfig

%files doc
%defattr(-,root,root)
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 26 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.1-1
- Update to Version 2.13.1, added doc package
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 2.10.0-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.10.0-1
- Version Update to 2.10.0 rebuilt spec
* Mon Dec 27 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.4-1
- Initial Release